//
// NOTE: To compile and run, this file must be separated into
// files for each class, where file name = class name.
// 

public class Animal
{
    public boolean isAlive () { return true; }
}

public interface Swimmer
{
    public String swimMethod ();
}

public interface Runner
{
    public String runMethod ();
}

public class Fish extends Animal implements Swimmer
{
    public String swimMethod () { return "fins"; }
}

public class Giraffe extends Animal implements Runner
{
    public String runMethod () { return "legs"; }
}

public class Dog extends Animal implements Swimmer, Runner
{
    public String swimMethod () { return "legs"; }
    public String runMethod ()  { return "legs"; }
}

public class Collie extends Dog
{
}

public class Animals
{
    public static void main (String[] args)
    {
	Fish fish = new Fish ();
	Giraffe giraffe = new Giraffe ();
	Dog dog = new Dog ();
	Dog collie = new Collie ();
	
	System.out.println (fish.swimMethod());
	System.out.println (giraffe.runMethod());
	System.out.println (collie.swimMethod());
	System.out.println (collie.isAlive());
    }
}
